[RTFACT-16541] Upgrade Replicator to use go modules Created: 30/Apr/18  Updated: 10/Jan/19  Resolved: 01/Jan/19

Status: Resolved
Project: Artifactory Binary Repository
Component/s: None
Affects Version/s: 6.0.0
Fix Version/s: 6.7.0

Type: New Feature Priority: Normal
Reporter: Yoaz Menda (Inactive) Assignee: Yoaz Menda (Inactive)
Resolution: Done Votes: 0
Labels: None

Sub-Tasks:
Key
Summary
Type
Status
Assignee
RTFACT-18186 use go-modules to build Replicator Sub-task Resolved  
Sprint: Leap 30, Leap 31, Leap 33, Leap 35

 Description   

Replicator project is currently using dep for package management.

change the package manager to use vgo

 

 



 Comments   
Comment by Yoaz Menda (Inactive) [ 07/May/18 ]

branch vg-build is our port to vgo

currently gopkg.in packages are not supported and there are open bugs about it:

https://github.com/golang/go/issues/25243
https://github.com/golang/go/issues/25121

https://github.com/golang/go/issues/23991

 

 

Generated at Wed Oct 23 00:38:13 UTC 2019 using JIRA 7.6.16#76018-sha1:9ed376192612a49536ac834c64177a0fed6290f5.